Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 539989 - Review Request: nettop - top-like program for network packets
Summary: Review Request: nettop - top-like program for network packets
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-21 20:58 UTC by Bernard Johnson
Modified: 2010-08-20 00:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-20 00:46:10 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2009-11-21 20:58:22 UTC
Spec URL: http://fedorapeople.org/~bjohnson/nettop.spec
SRPM URL: http://fedorapeople.org/~bjohnson/nettop-0.2.3-1.fc12.src.rpm
Description: Nettop is a program which looks like top, but is for network packets.

$ rpmlint *rpm
nettop.src: W: summary-not-capitalized top-like program for network packets
nettop.x86_64: W: summary-not-capitalized top-like program for network packets
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warning can be ignored because it is the proper capitalization for this program name, it just happens to be at the beginning of the line.

Comment 1 Susi Lehtola 2009-11-24 14:14:29 UTC
Change the summary to "A top-like program for network packets" to fix the rpmlint warnings.

Comment 2 Susi Lehtola 2009-11-24 14:16:49 UTC
Furthermore, add comments in the spec file as to why Source1-2 and Patch0-2 are needed. Also, please rename your patches to start with nettop-,  e.g.

 # Patch to fix compilation errors 
 Patch0:         nettop-compile.patch

This way build directories stay cleaner.

Comment 3 Susi Lehtola 2009-11-24 14:18:59 UTC
And a few more comments: use %{version} in the Source0 line to ease up the maintaining of the spec file.

The upstream project server seems to be down, so a review cannot be performed at this stage.

Comment 4 Bernard Johnson 2009-11-25 01:33:36 UTC
Spec URL: http://fedorapeople.org/~bjohnson/nettop.spec
SRPM URL: http://fedorapeople.org/~bjohnson/nettop-0.2.3-2.fc12.src.rpm

* Tue Nov 24 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.2.3-2
- begin summary line with 'A'
- source0 by name/version macros
- better comments regarding additional sources & patches
- source1/2 were reversed

$ rpmlint *rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 Pavel Alexeev 2010-01-02 16:10:59 UTC
Offsite http://srparish.net/scripts/ seams down.

Meantime where links to upstream bugreports for each patches?
https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Comment 6 Bernard Johnson 2010-01-11 22:57:13 UTC
I sent the author an email asking about the website.  I will let you know when I get a response.

Comment 7 Rafael Aquini 2010-08-10 02:33:17 UTC
PING

Since it's been more than six months with no progress; I guess this bug should be closed soon if there is no response, shouldn't it?

Comment 8 Rafael Aquini 2010-08-20 00:46:10 UTC
Due to the lack of response this review is now considered as stalled.
I'm closing this bug just as described in Fedora's Policy for stalled package
reviews

http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.